condor_status(1)

Name

condor_statusDisplay status of the HTCondor pool

Synopsis
condor_status[-debug] [help options] [query options] [display options] [custom options] [name ...]

Description
condor_statusis a versatile tool that may be used to monitor and query the HTCondor pool. The condor_statustool can be used to query resource information, submitter information, checkpoint server information, and daemon master information. The specific query sent and the resulting information display is controlled by the query options supplied. Queries and display formats can also be customized.

The options that may be supplied to condor_statusbelong to five groups:

    * Help optionsprovide information about the condor_statustool.

    * Query optionscontrol the content and presentation of status information.

    * Display optionscontrol the display of the queried information.

    * Custom optionsallow the user to customize query and display information.

    * Host optionsspecify specific machines to be queried

At any time, only one help option, one query optionand one display optionmay be specified. Any number of custom optionsand host optionsmay be specified.

Options

-debug

    Causes debugging information to be sent to stderr, based on the value of the configuration variable TOOL_DEBUG.

-help

    (Help option) Display usage information.

-diagnose

    (Help option) Print out ClassAd query without performing the query.

-absent

    (Query option) Query for and display only absent resources.

-ads filename

    (Query option) Read the set of ClassAds in the file specified by filename, instead of querying the condor_collector.

-annex name

    (Query option) Query for and display only resources in the named annex.

-any

    (Query option) Query all ClassAds and display their type, target type, and name.

-avail

    (Query option) Query condor_startdClassAds and identify resources which are available.

-ckptsrvr

    (Query option) Query condor_ckpt_serverClassAds and display checkpoint server attributes.

-claimed

    (Query option) Query condor_startdClassAds and print information about claimed resources.

-cod

    (Query option) Display only machine ClassAds that have COD claims. Information displayed includes the claim ID, the owner of the claim, and the state of the COD claim.

-collector

    (Query option) Query condor_collectorClassAds and display attributes.

-defrag

    (Query option) Query condor_defragClassAds.

-direct hostname

    (Query option) Go directly to the given host name to get the ClassAds to display. By default, returns the condor_startdClassAd. If -scheddis also given, return the condor_scheddClassAd on that host.

-java

    (Query option) Display only Java-capable resources.

-license

    (Query option) Display license attributes.

-master

    (Query option) Query condor_masterClassAds and display daemon master attributes.

-negotiator

    (Query option) Query condor_negotiatorClassAds and display attributes.

-pool centralmanagerhostname[:portnumber]

    (Query option) Query the specified central manager using an optional port number. condor_statusqueries the machine specified by the configuration variable COLLECTOR_HOSTby default.

-run

    (Query option) Display information about machines currently running jobs.

-schedd

    (Query option) Query condor_scheddClassAds and display attributes.

-server

    (Query option) Query condor_startdClassAds and display resource attributes.

-startd

    (Query option) Query condor_startdClassAds.

-state

    (Query option) Query condor_startdClassAds and display resource state information.

-statistics WhichStatistics

    (Query option) Can only be used if the -directoption has been specified. Identifies which Statistics attributes to include in the ClassAd. WhichStatisticsis specified using the same syntax as defined for STATISTICS_TO_PUBLISH. A definition is in the HTCondor Administrator's manual section on configuration (section ).

-storage

    (Query option) Display attributes of machines with network storage resources.

-submitters

    (Query option) Query ClassAds sent by submitters and display important submitter attributes.

-subsystem type

    (Query option) If typeis one of collector, negotiator, master, schedd, or startd, then behavior is the same as the query option without the -subsystemoption. For example, -subsystem collectoris the same as -collector. A value of typeof CkptServer, Machine, DaemonMaster, or Schedulertargets that type of ClassAd.

-vm

    (Query option) Query condor_startdClassAds, and display only VM-enabled machines. Information displayed includes the machine name, the virtual machine software version, the state of machine, the virtual machine memory, and the type of networking.

-offline

    (Query option) Query condor_startdClassAds, and display, for each machine with at least one offline universe, which universes are offline for it.

-attributes Attr1[,Attr2 ...]

    (Display option) Explicitly list the attributes in a comma separated list which should be displayed when using the -xml, -jsonor -longoptions. Limiting the number of attributes increases the efficiency of the query.

-expert

    (Display option) Display shortened error messages.

-long

    (Display option) Display entire ClassAds. Implies that totals will not be displayed.

-limitnum

    (Query option) At most numresults should be displayed.

-sort expr

    (Display option) Change the display order to be based on ascending values of an evaluated expression given by expr. Evaluated expressions of a string type are in a case insensitive alphabetical order. If multiple -sortarguments appear on the command line, the primary sort will be on the leftmost one within the command line, and it is numbered 0. A secondary sort will be based on the second expression, and it is numbered 1. For informational or debugging purposes, the ClassAd output to be displayed will appear as if the ClassAd had two additional attributes. CondorStatusSortKeyExpr<N>is the expression, where <N>is replaced by the number of the sort. CondorStatusSortKey<N>gives the result of evaluating the sort expression that is numbered <N>.

-total

    (Display option) Display totals only.

-xml

    (Display option) Display entire ClassAds, in XML format. The XML format is fully defined in the reference manual, obtained from the ClassAds web page, with a link at http://htcondor.org/classad/classad.html.

-json

    (Display option) Display entire ClassAds in JSON format.

-constraint const

    (Custom option) Add constraint expression.

-compact

    (Custom option) Show compact form, rolling up slots into a single line.

-format fmt attr

    (Custom option) Display attribute or expression attrin format fmt. To display the attribute or expression the format must contain a single printf(3)-style conversion specifier. Attributes must be from the resource ClassAd. Expressions are ClassAd expressions and may refer to attributes in the resource ClassAd. If the attribute is not present in a given ClassAd and cannot be parsed as an expression, then the format option will be silently skipped. %r prints the unevaluated, or raw values. The conversion specifier must match the type of the attribute or expression. %s is suitable for strings such as Name, %d for integers such as LastHeardFrom, and %f for floating point numbers such as LoadAvg. %v identifies the type of the attribute, and then prints the value in an appropriate format. %V identifies the type of the attribute, and then prints the value in an appropriate format as it would appear in the -longformat. As an example, strings used with %V will have quote marks. An incorrect format will result in undefined behavior. Do not use more than one conversion specifier in a given format. More than one conversion specifier will result in undefined behavior. To output multiple attributes repeat the -formatoption once for each desired attribute. Like printf(3)-style formats, one may include other text that will be reproduced directly. A format without any conversion specifiers may be specified, but an attribute is still required. Include a backslash followed by an `n' to specify a line break.

-autoformat[:lhVr,tng] attr1 [attr2 ...]or -af[:lhVr,tng] attr1 [attr2 ...]

    (Output option) Display attribute(s) or expression(s) formatted in a default way according to attribute types. This option takes an arbitrary number of attribute names as arguments, and prints out their values, with a space between each value and a newline character after the last value. It is like the -formatoption without format strings. This output option does notwork in conjunction with the -runoption.

    It is assumed that no attribute names begin with a dash character, so that the next word that begins with dash is the start of the next option. The autoformatoption may be followed by a colon character and formatting qualifiers to deviate the output formatting from the default:

    llabel each field,

    hprint column headings before the first line of output,

    Vuse %V rather than %v for formatting (string values are quoted),

    rprint "raw", or unevaluated values,

    ,add a comma character after each field,

    tadd a tab character before each field instead of the default space character,

    nadd a newline character after each field,

    gadd a newline character between ClassAds, and suppress spaces before each field.

    Use -af:hto get tabular values with headings.

    Use -af:lrngto get -long equivalent format.

    The newline and comma characters may notbe used together. The land hcharacters may notbe used together.

-target filename

    (Custom option) Where evaluation requires a target ClassAd to evaluate against, file filenamecontains the target ClassAd.

-merge filename

    (Custom option) Ads will be read from filename, which may be -to indicate standard in, and compared to the ads selected by the query specified by the remainder of the command line. Ads will be considered the same if their sort keys match; sort keys may be specified with [-sort <key>]. This option will cause up to three tables to print, in the following order, depending on where a given ad appeared: first, the ads which appeared in the query but not in filename; second, the ads which appeared in both the query and in filename; third, the ads which appeared in filenamebut not in the query.

    By default, banners will label each table. If -xmlis also given, the same banners will separate three valid XML documents, one for each table. If -jsonis also given, a single JSON object will be produced, with the usual JSON output for each table labeled as an element in the object.

    The -annexoption changes this default so that the banners are not printed and the tables are formatted differently. In this case, the ads in filenameare expected to have different contents from the ads in the query, so many others will behave strangely.

General Remarks

    * The default output from condor_statusis formatted to be human readable, not script readable. In an effort to make the output fit within 80 characters, values in some fields might be truncated. Furthermore, the HTCondor Project can (and does) change the formatting of this default output as we see fit. Therefore, any script that is attempting to parse data from condor_statusis strongly encouraged to use the -formatoption (described above).

    * The information obtained from condor_startdand condor_schedddaemons may sometimes appear to be inconsistent. This is normal since condor_startdand condor_schedddaemons update the HTCondor manager at different rates, and since there is a delay as information propagates through the network and the system.

    * Note that the ActivityTimein the Idlestate is notthe amount of time that the machine has been idle. See the section on condor_startdstates in the Administrator's Manualfor more information (section ).

    * When using condor_statuson a pool with SMP machines, you can either provide the host name, in which case you will get back information about all slots that are represented on that host, or you can list specific slots by name. See the examples below for details.

    * If you specify host names, without domains, HTCondor will automatically try to resolve those host names into fully qualified host names for you. This also works when specifying specific nodes of an SMP machine. In this case, everything after the &ldquo;@&rdquo; sign is treated as a host name and that is what is resolved.

    * You can use the -directoption in conjunction with almost any other set of options. However, at this time, the only daemon that will allow direct queries for its ad(s) is the condor_startd. So, the only options currently not supported with -directare -scheddand -master. Most other options use startd ads for their information, so they work seamlessly with -direct. The only other restriction on -directis that you may only use 1 -directoption at a time. If you want to query information directly from multiple hosts, you must run condor_statusmultiple times.

    * Unless you use the local host name with -direct, condor_statuswill still have to contact a collector to find the address where the specified daemon is listening. So, using a -pooloption in conjunction with -directjust tells condor_statuswhich collector to query to find the address of the daemon you want. The information actually displayed will still be retrieved directly from the daemon you specified as the argument to -direct.

Examples

Example 1To view information from all nodes of an SMP machine, use only the host name. For example, if you had a 4-CPU machine, named vulture.cs.wisc.edu, you might see

% condor_status vulture
Name OpSys Arch State Activity LoadAv Mem ActvtyTime
slot1@vulture.cs.w LINUX INTEL Claimed Busy 1.050 512 0+01:47:42
slot2@vulture.cs.w LINUX INTEL Claimed Busy 1.000 512 0+01:48:19
slot3@vulture.cs.w LINUX INTEL Unclaimed Idle 0.070 512 1+11:05:32
slot4@vulture.cs.w LINUX INTEL Unclaimed Idle 0.000 512 1+11:05:34
                     Total Owner Claimed Unclaimed Matched Preempting Backfill
         INTEL/LINUX 4 0 2 2 0 0 0
               Total 4 0 2 2 0 0 0

Example 2To view information from a specific nodes of an SMP machine, specify the node directly. You do this by providing the name of the slot. This has the form slot#@hostname. For example:

% condor_status slot3@vulture
Name OpSys Arch State Activity LoadAv Mem ActvtyTime
slot3@vulture.cs.w LINUX INTEL Unclaimed Idle 0.070 512 1+11:10:32
                     Total Owner Claimed Unclaimed Matched Preempting Backfill
         INTEL/LINUX 1 0 0 1 0 0 0
               Total 1 0 0 1 0 0 0

Constraint option examples

The Unix command to use the constraint option to see all machines with the OpSysof "LINUX":

% condor_status -constraint OpSys==\"LINUX\"

Note that quotation marks must be escaped with the backslash characters for most shells.

The Windows command to do the same thing:

>condor_status -constraint " OpSys==""LINUX"" "

Note that quotation marks are used to delimit the single argument which is the expression, and the quotation marks that identify the string must be escaped by using a set of two double quote marks without any intervening spaces.

To see all machines that are currently in the Idle state, the Unix command is

% condor_status -constraint State==\"Idle\"

To see all machines that are bench marked to have a MIPS rating of more than 750, the Unix command is

% condor_status -constraint 'Mips>750'

-cod option example

The -codoption displays the status of COD claims within a given HTCondor pool.

Name ID ClaimState TimeInState RemoteUser JobId Keyword
astro.cs.wi COD1 Idle 0+00:00:04 wright
chopin.cs.w COD1 Running 0+00:02:05 wright 3.0 fractgen
chopin.cs.w COD2 Suspended 0+00:10:21 wright 4.0 fractgen
               Total Idle Running Suspended Vacating Killing
 INTEL/LINUX 3 1 1 1 0 0
       Total 3 1 1 1 0 0

-format option exampleTo display the name and memory attributes of each job ClassAd in a format that is easily parsable by other tools:

% condor_status -format "%s " Name -format "%d\n" Memory

To do the same with the autoformatoption, run

% condor_status -autoformat Name Memory

Exit Status

condor_statuswill exit with a status value of 0 (zero) upon success, and it will exit with the value 1 (one) upon failure.

Author
Center for High Throughput Computing, University of Wisconsin&ndash;Madison

Copyright
Copyright © 1990-2019 Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI. All Rights Reserved. Licensed under the Apache License, Version 2.0.